diff --git a/fs/ubifs/super.c b/fs/ubifs/super.c
index ad827cf642fe5..c27f5318d36c8 100644
--- a/fs/ubifs/super.c
+++ b/fs/ubifs/super.c
@@ -1706,7 +1706,6 @@ static int ubifs_remount_rw(struct ubifs_info *c)
 		kthread_stop(c->bgt);
 		c->bgt = NULL;
 	}
-	free_wbufs(c);
 	kfree(c->write_reserve_buf);
 	c->write_reserve_buf = NULL;
 	vfree(c->ileb_buf);
